<?php

class m170918_131612_add_registration_for_report_archive extends MyDbMigration
{
	public function up()
	{
	    $this->addColumn('report_archive', 'registration_status', "string DEFAULT 'unregistered'");
	    $this->addColumn('report_archive', 'approved_events',     "int(11)  DEFAULT '0'");
	    $this->addColumn('report_archive', 'invalid_events',     "int(11)  DEFAULT '0'");
	    $this->addColumn('report_archive', 'total_events',     "int(11)  DEFAULT '0'");
	    $this->addColumn('report_archive', 'uuid',             "string DEFAULT ''");
	    $this->addColumn('report_archive', 'id_eventserver',             "int(11) DEFAULT '0'");
	}

	public function down()
	{
	    $this->dropColumn('report_archive', 'registration_status');
	    $this->dropColumn('report_archive', 'approved_events');
	    $this->dropColumn('report_archive', 'invalid_events');
	    $this->dropColumn('report_archive', 'total_events');
	    $this->dropColumn('report_archive', 'uuid');
		return false;
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}